Subject: Re: bug#22692: docstring for xref-find-definitions

From: Dmitry Gutov <[email-masked]>
Date: Tue, 23 Feb 2016 02:35:12 +0200

On 02/23/2016 02:04 AM, Juri Linkov wrote:

> I'm fine with using bounds-of-thing-at-point if you think it's OK
> to require thingatpt in core packages such as isearch.

Great, I've pushed that change. Requiring thingatpt doesn't seem to be 
something significant, as long as we don't have to preload it (and we 
don't, in this case).

The new behavior also seems to fit the related docstrings better: 
find-tag-default-bounds, find-tag-default, find-tag-default-as-regexp, 
find-tag-default-as-symbol-regexp all say "at point", not "near" or "on 
the same line", so it seems we don't even need a NEWS entry here.